# File node.hpp

## Definition (`zeem/node.hpp`)

- Program Listing for File node.hpp

## Detailed Description

the core of the zeem XML library defining the main classes in the DOM API

## Includes

- `algorithm`

- `cassert`

- `compare`

- `cstddef`

- `cstdint`

- `initializer_list`

- `iosfwd`

- `iterator`

- `string`

- `string_view`

- `type_traits`

- `utility`

- `vector`

- `zeem/error.hpp` (File error.hpp)

- `zeem/version.hpp` (File version.hpp)

## Included By

- File document.hpp

- File serialize.hpp

## Namespaces

- Namespace zeem

## Classes

- Struct format_info

- Class attribute

- Class attribute_set

- Class cdata

- Class comment

- Class element

- Class element_container

- Template Class iterator_impl

- Class node

- Template Class node_list

- Class node_with_text

- Class processing_instruction

- Class text

## Enums

- Enum node_type

## Functions

- Function zeem::fix_namespaces

## Typedefs

- Typedef zeem::element_set

- Typedef zeem::node_set